cmdstr$ = mm.cmdline$


dim args(2) as string = ("","","") 

for i=0 to 2:
  next_space = instr(cmdstr$, " ")
  if next_space = 0 then
    args(i) = cmdstr$
    goto finish_parsing
  end if
  args(i)=left$(cmdstr$, next_space-1) 
  cmdstr$ = right$(cmdstr$, len(cmdstr$) - next_space)
next i
finish_parsing:


open "com1:115200, 256, get_floppy_output, 1" as #1
timer = 0

if args(1) = "" then goto help_cmd
if args(1) = "dir" then goto dir_cmd
if args(1) = "type" then goto type_cmd
if args(1) = "dump" then goto dump_cmd
if args(1) = "del" then goto del_cmd
if args(1) = "mkdir" then goto mkdir_cmd
if args(1) = "rmdir" then goto rmdir_cmd
if args(1) = "format" then goto format_cmd
if args(1) = "send" then goto send_cmd
if args(1) = "receive" then goto receive_cmd


help_cmd:
print "floppy.bas dir -> Show the listing of files"
print "floppy.bas type filename -> Type out the specified file (best for txt files)"
print "floppy.bas dump filename -> Type out specified file in hexadecimal (best for binary files)"
print "floppy.bas mkdir dirname -> Create the specified directory"
print "floppy.bas rmdir dirname -> Remove the specified derectory" 
goto finish


dir_cmd: 
print #1, "dir": goto finish

type_cmd:
print #1, "type " + args(2): goto finish

dump_cmd:
print #1, "dump " + args(2): goto finish

del_cmd:
print "del": goto finish

mkdir_cmd:
print #1, "mkdir " + args(2): goto finish

rmdir_cmd:
print #1, "rmdir " + args(2): goto finish

format_cmd:
print "format": goto finish

receive_cmd:
print "send": goto finish

send_cmd:
print #1, "receive " + args(2)
xmodem send "floppy.bas", #1
goto finish




finish:
do:
  if timer> 4000 then 
    close #1
    end
  end if
loop


sub get_floppy_output
  timer=0
  dat$ = input$(LOC(#1), #1)
  print dat$;
end sub


